import { onScopeDispose } from "vue";
import useSanityClient from "../utils/useSanityClient.js";
export const useSanityLiveMode = () => {
  let disable = () => {
  };
  if (import.meta.client) {
    const client = useSanityClient("default");
    if (client.queryStore) {
      disable = client.queryStore.enableLiveMode({
        client: client.client
      });
    }
  }
  onScopeDispose(disable);
  return disable;
};
