import type { DisableVisualEditing, VisualEditingOptions } from '@sanity/visual-editing';
import type { SanityVisualEditingRefreshHandler } from '@devite/nuxt-sanity';
export interface VisualEditingProps {
    refresh?: SanityVisualEditingRefreshHandler;
    zIndex?: VisualEditingOptions['zIndex'];
}
/** @return A function to disable visual editing */
export declare const useSanityVisualEditing: (options?: VisualEditingProps) => DisableVisualEditing;
