import { useSanityQuery } from "../composables/useSanityQuery.js";
import { IMAGE_ASSET_PROJECTION } from "./projections.js";
export const resolveImageAssetById = async (id) => {
  return useSanityQuery(`*[_type == "sanity.imageAsset" && _id == $assetId][0] ${IMAGE_ASSET_PROJECTION}`, { assetId: id }).data;
};
