import { type ClientPerspective, type QueryParams, type SanityClient as SanityClientType } from '@sanity/client';
import type { ModuleOptions } from '@devite/nuxt-sanity';
import { type QueryStore } from '@sanity/core-loader';
import SanityClient from './SanityClient.js';
declare class DefaultSanityClient extends SanityClient {
    readonly client: SanityClientType;
    queryStore: QueryStore | null;
    constructor(config: ModuleOptions);
    fetch<T = unknown>(query: string, params: QueryParams, options?: {
        perspective?: ClientPerspective;
    }): Promise<T>;
    createQueryStore(tag?: string): void;
    clone(): DefaultSanityClient;
}
export default DefaultSanityClient;
