import type { AsyncDataOptions } from 'nuxt/app';
import type { QueryParams } from '@sanity/client';
import { type AsyncSanityData, type SanityQueryResponse } from './useSanityQuery.js';
export declare const useLazySanityQuery: <T = unknown, E = Error>(query: string, _params?: QueryParams, options?: AsyncDataOptions<SanityQueryResponse<T | null>>) => AsyncSanityData<T | null, E>;
