import { reactive } from "vue";
import { useState } from "#imports";
export const useSanityVisualEditingState = () => {
  const enabled = useState("_sanity_visualEditing", () => false);
  return reactive({
    enabled,
    isInFrame() {
      if (import.meta.server) return void 0;
      return !!(window.self !== window.top || window.opener);
    }
  });
};
