import { useSanityQuery } from "../composables/useSanityQuery.js";
export const resolveInternalLink = async (reference) => {
  return useSanityQuery(`*[_id == $documentId][0] { '_type': 'linkInternal', 'slug': coalesce(slug.current, '/') }`, { documentId: reference._ref }).data;
};
