import { useSanityVisualEditingState } from "../composables/useSanityVisualEditingState.js";
import getOrCreateSanityClient from "./getOrCreateSanityClient.js";
import { useRuntimeConfig } from "#imports";
export default function useSanityClient(type) {
  const $config = useRuntimeConfig();
  const sanityConfig = $config.public.sanity;
  return getOrCreateSanityClient(useSanityVisualEditingState().enabled, sanityConfig, type);
}
